%if %mdvver < 200900
%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)
%else
%define xulrunner 1.9
%define libname %mklibname xulrunner %xulrunner
%define xulver %(rpm -q --queryformat %%{VERSION} %libname)
%endif
Name:		miro
Version:	1.2.7
%define		subrel 5
Release:	%mkrel 4
Summary:	Miro Player
Group:		Video
License:	GPLv2+
URL:		http://www.getmiro.com/
Source0:	ftp://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-%version.tar.gz
#gw from Fedora, use xulrunner
Patch0: Miro-xulrunner.patch
# gw from Debian: don't check for software updates
# AdamW: rediffed for 1.2.1 - 2008/03
Patch1:		Miro-1.2.1-no-autoupdate.patch
#gw from Fedora, build with Boost 1.36
Patch2:		Miro-1.2.6-boost.patch
# gw os.getlogin() fails in the build system
Patch4: Miro-0.9.9.9-work-around-python-problem.patch
Patch5: miro-1.2.4-gcc-4.3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	pygtk2.0-devel
BuildRequires:	libxine-devel 
BuildRequires:	python-pyrex
#BuildRequires:	libfame 
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
%if %mdvver >= 200900
BuildRequires:	xcb-devel
%else
BuildRequires:	libxcb-devel libpthread-stubs
%endif
BuildRequires:	gtk2-devel
%if %mdvver < 200900
BuildRequires:	mozilla-firefox-devel
%else
BuildRequires: xulrunner-devel-unstable >= %xulrunner
%endif
BuildRequires:	desktop-file-utils
BuildRequires:	libxv-devel
BuildRequires:	ImageMagick
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gtkmozembed gnome-python-gconf dbus-python
Requires:	python-pyrex
#Requires:	libfame 
Requires: gstreamer0.10-python
Requires: gstreamer0.10-plugins-base
%if %mdvver < 200900
Requires:	libmozilla-firefox = %mozver
%else
#gw as Fedora does:
Requires: %libname = %xulver
%endif

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

Provides:	democracy
Obsoletes:	democracy

%description
Internet TV player with integrated RSS and BitTorrent functionality.

%prep
%setup -q -n Miro-%version
%if %mdvver >= 200900
%patch0 -p1
%endif
%patch1 -p1 -b .no-autoupdate
%patch2 -p1
%patch4 -p1
%patch5 -p1
#gw fix wrong libexec dir
perl -pi -e "s^libexec^%_lib^" ./platform/gtk-x11/platform/renderers/xinerenderer.py platform/gtk-x11/setup.py



%build
cd platform/gtk-x11 && CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
cd platform/gtk-x11 && %{__python} setup.py install -O1 --skip-build --root %{buildroot}
cd ../..
%find_lang miro

perl -pi -e 's,miro-72x72.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="Video" \
  --add-category="TV" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{24x24,48x48,72x72,128x128}/apps
cp -f %{buildroot}%{_datadir}/pixmaps/%{name}-24x24.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png
cp -f %{buildroot}%{_datadir}/pixmaps/%{name}-72x72.png %{buildroot}%{_iconsdir}/hicolor/72x72/apps/%{name}.png
cp -f %{buildroot}%{_datadir}/pixmaps/%{name}-128x128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 48x48 %{buildroot}%{_datadir}/pixmaps/%{name}-72x72.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

gunzip %buildroot%{_mandir}/man1/*.gz

%clean
rm -rf %{buildroot}

%post
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor

%files -f miro.lang
%defattr(-,root,root,-)
%doc README CREDITS
%attr(755,root,root) %_bindir/*
%{_datadir}/miro
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png
%_libexecdir/xine_extractor
%{_mandir}/man1/*
%{_datadir}/mime/packages/*.xml
%{py_platsitedir}/miro*



%changelog
* Thu Apr 02 2009 Frederic Crozat <fcrozat@mandriva.com> 1.2.7-4.5mdv2009.0
+ Revision: 363462
- rebuild for latest xulrunner
- Rebuild for latest xulrunner
- rebuild for new xulrunner 1.9.0.6

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for new xulrunner 1.9.0.5

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - rebuild for xulrunner-1.9.0.4 / firefox-3.0.4 update

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 1.2.7-3mdv2009.0
+ Revision: 289234
- rebuild for new xulrunner

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 1.2.7-2mdv2009.0
+ Revision: 288700
- rebuild for the new xulrunner

* Fri Sep 26 2008 Götz Waschk <waschk@mandriva.org> 1.2.7-1mdv2009.0
+ Revision: 288629
- fix build with new boost
- fix xcb build deps

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rebuild against new boost

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 1.2.6

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 1.2.4-5mdv2009.0
+ Revision: 255044
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-4mdv2009.0
+ Revision: 236422
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1.2.4-2mdv2009.0
+ Revision: 231253
- Rebuild for firefox 2.0.0.15

  + Funda Wang <fundawang@mandriva.org>
    - Add patch to build against gcc4.3
    - New version 1.2.4

* Wed Apr 23 2008 Frederik Himpe <fhimpe@mandriva.org> 1.2.3-1mdv2009.0
+ Revision: 196969
- New upstream version
- Fix path of xinerenderer.py for substitution of libxecdir

* Mon Mar 31 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 191277
- include a 48x48 icon, this is required by fd.o spec
- rediff no-autoupdate.patch
- use new-style macros consistently
- new release 1.2.1

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.1.2-2mdv2008.1
+ Revision: 190336
- Rebuild for Firefox 2.0.0.13

* Wed Feb 13 2008 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2008.1
+ Revision: 166941
- new version

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1.1-2mdv2008.1
+ Revision: 164644
- rebuild for new FF

* Fri Jan 11 2008 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2008.1
+ Revision: 147896
- fix buildrequires
- new version
- depend on gstreamer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2008.1
+ Revision: 117691
- rebuild for new firefox

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 108820
- new version

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.9-3mdv2008.1
+ Revision: 106070
- rebuild for new firefox

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.9-2mdv2008.1
+ Revision: 105177
- drop patch 0 and build with new boost

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.9-1mdv2008.1
+ Revision: 104454
- new version
- rediff patches 1,4
- drop patch 2
- fix installation of xine_extractor
- update file list

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-3mdv2008.1
+ Revision: 100867
- build against boost_python-gcc42

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-2mdv2008.1
+ Revision: 100434
- rebuild for new firefox

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-1mdv2008.1
+ Revision: 81464
- update patch 2

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-1mdv2008.0
+ Revision: 81452
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0.9.9-2mdv2008.0
+ Revision: 80323
- drop patch 3, fixes bug #33185

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0.9.9-1mdv2008.0
+ Revision: 79986
- reenable patch 3
- patch to fix build system problem with python

  + Funda Wang <fundawang@mandriva.org>
    - BR libxv
    - Rediff dbus patch
    - rediff no autoupdate patch
    - New version 0.9.9

* Wed Sep 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.8.1-2mdv2008.0
+ Revision: 79656
- have to keep the icons in /usr/share/pixmaps as the app uses them directly
- fix double quote mark
- fd.o icons
- drop creation of miro.real as this seems to be done upstream now, so duplicating it was preventing the app from running (see http://forum.mandriva.com/viewtopic.php?p=365287)
- fix menu entry issues: categories, deprecated key, icon name
- use Fedora license policy
- spec clean

  + Götz Waschk <waschk@mandriva.org>
    - remove mdk-folders patch

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.8.1-1mdv2008.0
+ Revision: 58199
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-5mdv2008.0
+ Revision: 57234
- rebuild

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-4mdv2008.0
+ Revision: 53539
- add missing deps
- readd wrapper, it ist still needed

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdv2008.0
+ Revision: 53509
- fix dbus exception on startup

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdv2008.0
+ Revision: 53446
- fix mime package
- remove wrapper script

* Wed Jul 18 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2008.0
+ Revision: 53269
- new version
- rediff patch 0
- import democracy as miro

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 0.9.6-3mdv2008.0
+ Revision: 39941
- rebuild for new ff

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 0.9.6
    - Remove patches 2, 3, 4 (merged upstream)

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 0.9.5.3-1mdv2008.0
+ Revision: 18190
- Import democracy

